#
#
#	  Name: tcl.mk
#		make include file for Tcl for La Casita
#
#

#SC_VRM		=	tcl8.4.4
SC_VRM		=	tcl8.4.6
#       http://unc.dl.sourceforge.net/sourceforge/tcl/tcl8.4.4-src.tar.gz
SC_URL		=	\
      http://umn.dl.sourceforge.net/sourceforge/tcl/$(SC_VRM)-src.tar.gz
SC_FETCH	=	rm -f $(SC_VRM).tar.gz $(SC_VRM)-src.tar.gz ; \
			wget --passive-ftp --no-clobber $(SC_URL) ; \
			ln -s $(SC_VRM)-src.tar.gz $(SC_VRM).tar.gz
#SC_SOURCE	=	tcl8.4.6
SC_CONFIG	=	cd unix ; \
			./configure --prefix=/usr --disable-nls
SC_BUILD	=	cd unix ; $(MAKE)
SC_INSTALL	=	rm -f /usr/bin/tclsh* ; \
			cd unix ; $(MAKE) install
SC_FIXUP	=	cd /usr/bin ; \
			rm tclsh ; \
			strip tclsh* ; \
			ln -s tclsh* tclsh



